For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/checklists-config.md.

APIEndpointsChecklist

Read company checklist configuration

Returns framework settings (enabled, bypass flags, allowcustomgroups, allowsystemgrouprename) + the required-groups matrix.

POST/api/v1/partner/checklists/config

Returns framework settings (enabled, bypass flags, allow_custom_groups, allow_system_group_rename) + the required-groups matrix. Payload: optional {work_item_type}.

#Authorizations

X-API-KEYstringrequired

Developer API key (starts with osk_)

Example: osk_1234567890abcdef1234567890abcdef

#Headers

Acceptstringrequired

Content type of response

Example: application/json

Content-Typestringrequired

Content type of request

Example: application/json

#Request body

encrypted_datastringrequired

Base64 AES-encrypted JSON payload

#Responses

200Success
400Validation error
401Unauthorized